Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class DescribeScalingActivitiesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.autoscaling.model.DescribeScalingActivitiesRequest

    public class DescribeScalingActivitiesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeScalingActivities operation`.

Returns the scaling activities for the specified Auto Scaling group.

If the specified ActivityIds list is empty, all the activities from the past six weeks are returned. Activities will be sorted by completion time. Activities that have no completion time are considered as using the most recent possible time.

See Also:
  `AmazonAutoScaling.describeScalingActivities(DescribeScalingActivitiesRequest)`

Constructor Summary
`DescribeScalingActivitiesRequest()`

Method Summary
`List<String>` | `getActivityIds()` A list containing the activity IDs of the desired scaling activities.
`String` | `getAutoScalingGroupName()` The name of the AutoScalingGroup.
`Integer` | `getMaxRecords()` The maximum number of scaling activities to return.
`String` | `getNextToken()` A string used to mark the start of the next batch of returned results.
`void` | `setActivityIds(Collection<String> activityIds)` A list containing the activity IDs of the desired scaling activities.
`void` | `setAutoScalingGroupName(String autoScalingGroupName)` The name of the AutoScalingGroup.
`void` | `setMaxRecords(Integer maxRecords)` The maximum number of scaling activities to return.
`void` | `setNextToken(String nextToken)` A string used to mark the start of the next batch of returned results.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeScalingActivitiesRequest` | `withActivityIds(Collection<String> activityIds)` A list containing the activity IDs of the desired scaling activities.
`DescribeScalingActivitiesRequest` | `withActivityIds(String... activityIds)` A list containing the activity IDs of the desired scaling activities.
`DescribeScalingActivitiesRequest` | `withAutoScalingGroupName(String autoScalingGroupName)` The name of the AutoScalingGroup.
`DescribeScalingActivitiesRequest` | `withMaxRecords(Integer maxRecords)` The maximum number of scaling activities to return.
`DescribeScalingActivitiesRequest` | `withNextToken(String nextToken)` A string used to mark the start of the next batch of returned results.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeScalingActivitiesRequest

    public DescribeScalingActivitiesRequest()

Method Detail

### getActivityIds

    public List<String> getActivityIds()

  A list containing the activity IDs of the desired scaling activities.

  Returns:
    A list containing the activity IDs of the desired scaling activities.

### setActivityIds

    public void setActivityIds(Collection<String> activityIds)

  A list containing the activity IDs of the desired scaling activities.

  Parameters:
    `activityIds` - A list containing the activity IDs of the desired scaling activities.

### withActivityIds

    public DescribeScalingActivitiesRequest withActivityIds(String... activityIds)

  A list containing the activity IDs of the desired scaling activities.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `activityIds` - A list containing the activity IDs of the desired scaling activities.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withActivityIds

    public DescribeScalingActivitiesRequest withActivityIds(Collection<String> activityIds)

  A list containing the activity IDs of the desired scaling activities.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `activityIds` - A list containing the activity IDs of the desired scaling activities.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAutoScalingGroupName

    public String getAutoScalingGroupName()

  The name of the AutoScalingGroup.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    The name of the AutoScalingGroup.

### setAutoScalingGroupName

    public void setAutoScalingGroupName(String autoScalingGroupName)

  The name of the AutoScalingGroup.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `autoScalingGroupName` - The name of the AutoScalingGroup.

### withAutoScalingGroupName

    public DescribeScalingActivitiesRequest withAutoScalingGroupName(String autoScalingGroupName)

  The name of the AutoScalingGroup.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `autoScalingGroupName` - The name of the AutoScalingGroup.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMaxRecords

    public Integer getMaxRecords()

  The maximum number of scaling activities to return.

  Constraints:
  Range: 20 - 100

  Returns:
    The maximum number of scaling activities to return.

### setMaxRecords

    public void setMaxRecords(Integer maxRecords)

  The maximum number of scaling activities to return.

  Constraints:
  Range: 20 - 100

  Parameters:
    `maxRecords` - The maximum number of scaling activities to return.

### withMaxRecords

    public DescribeScalingActivitiesRequest withMaxRecords(Integer maxRecords)

  The maximum number of scaling activities to return.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Range: 20 - 100

  Parameters:
    `maxRecords` - The maximum number of scaling activities to return.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNextToken

    public String getNextToken()

  A string used to mark the start of the next batch of returned results.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    A string used to mark the start of the next batch of returned results.

### setNextToken

    public void setNextToken(String nextToken)

  A string used to mark the start of the next batch of returned results.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `nextToken` - A string used to mark the start of the next batch of returned results.

### withNextToken

    public DescribeScalingActivitiesRequest withNextToken(String nextToken)

  A string used to mark the start of the next batch of returned results.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `nextToken` - A string used to mark the start of the next batch of returned results.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.